//-----------------------------------------------------------------------------
/*!
\file PtlATDVList.cpp
\brief Source for ATDVList
\author Helmut Jakoby
\copyright © 1995 Helmut Jakoby
<!-- @@TermsOfLicense BEGIN -->

<b>Terms of License</b>

This file is part of the PtlContainer module.

PtlContainer is free software:

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.

<b>GNU Affero General Public License Usage</b><br>
You can redistribute it and/or modify it under the terms of the GNU Affero General Public
License as published by the Free Software Foundation; either version 3 of the
License, or (at your option) any later version. Please review the following
information to ensure the GNU Affero General Public License requirements will be
met: https://www.gnu.org/licenses/agpl-3.0.en.html .
<!-- @@TermsOfLicense END -->
*/
#include "PtlATDVList.h"
//-----------------------------------------------------------------------------
#ifdef _DEBUG_MEMORY_SPY
  #include <MilDebugNew.h>
#endif
//-----------------------------------------------------------------------------
namespace ptl
{
  //---------------------------------------------------------------------------
  ATDVList::ATDVList( ListMode eMode )
  {
    m_VDVListe = new VDVList(eMode);
  }
  //---------------------------------------------------------------------------
  ATDVList::~ATDVList()
  {
    //cout << "Destruktor ATDVList this* = " << this << endl;
    delete m_VDVListe;
  }
  //---------------------------------------------------------------------------
  ATDVList::ATDVList( const ATDVList & )
  :m_VDVListe( NULL_PTR )
  {
  
  }
  //---------------------------------------------------------------------------
} // namespace ptl
